%define	rel     2

Name:		bridge-utils
Version:	1.7.1
Release:	%mkrel %{rel}
Summary:	Utilities for configuring the linux ethernet bridge
Group:		Networking/Other
License:	GPL
URL:		https://wiki.linuxfoundation.org/networking/bridge
Source0:	https://git.kernel.org/pub/scm/network/bridge/%{name}.git/snapshot/%{name}-%{version}.tar.gz
BuildRequires:	kernel-headers

Obsoletes:	bridge-utils-devel < 1.7.1-1
Provides:	bridge-utils-devel = %{version}-%{release}

%description
This package contains utilities for configuring the linux ethernet
bridge. The linux ethernet bridge can be used for connecting multiple
ethernet devices together. The connecting is fully transparent: hosts
connected to one ethernet device see hosts connected to the other
ethernet devices directly.

%prep
%setup -q
%autopatch -p1

%build
autoconf
%configure
# makefile is broken and passes -j without argument to sub-make
make

%install
%make_install

%files
%doc ChangeLog README doc/{FAQ,FIREWALL,HOWTO,WISHLIST}
%{_mandir}/man*/*
%{_sbindir}/*


%changelog
* Tue Mar 15 2022 umeabot <umeabot> 1.7.1-2.mga9
+ Revision: 1793463
- Mageia 9 Mass Rebuild

* Fri Apr 02 2021 daviddavid <daviddavid> 1.7.1-1.mga9
+ Revision: 1712595
- new version: 1.7.1
- new Source Url
- drop empty devel sub-pkg

* Wed Dec 30 2020 luigiwalser <luigiwalser> 1.7-1.mga8
+ Revision: 1665842
- 1.7
- update source URL

* Wed Feb 12 2020 umeabot <umeabot> 1.6-3.mga8
+ Revision: 1510783
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sat Sep 22 2018 umeabot <umeabot> 1.6-2.mga7
+ Revision: 1295677
- Mageia 7 Mass Rebuild

* Fri Nov 11 2016 luigiwalser <luigiwalser> 1.6-1.mga6
+ Revision: 1066619
- 1.6
- remove patch 1 (no longer needed)
- update URLs

* Thu Feb 11 2016 umeabot <umeabot> 1.5-7.mga6
+ Revision: 953546
- Mageia 6 Mass Rebuild

* Fri Aug 21 2015 tmb <tmb> 1.5-6.mga6
+ Revision: 867413
- rebuild for new gcc

* Wed Oct 15 2014 umeabot <umeabot> 1.5-5.mga5
+ Revision: 743452
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.5-4.mga5
+ Revision: 678220
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.5-3.mga4
+ Revision: 515706
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 cjw <cjw> 1.5-2.mga3
+ Revision: 374253
- patch1: fix build with new kernel headers
- drop buildroot definition
- don't use parallel make because of broken makefile
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jul 31 2011 tv <tv> 1.5-1.mga2
+ Revision: 131051
- fix file list
- new release

* Mon Mar 07 2011 ennael <ennael> 1.4-6.mga1
+ Revision: 65953
- imported package bridge-utils


* Tue Nov 30 2010 Oden Eriksson <oeriksson@mandriva.com> 1.4-6mdv2011.0
+ Revision: 603770
- rebuild

* Sun Mar 14 2010 Oden Eriksson <oeriksson@mandriva.com> 1.4-5mdv2010.1
+ Revision: 518987
- rebuild

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - drop old 2007.1-related upgrade docfile

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 1.4-4mdv2010.0
+ Revision: 413185
- rebuild

* Tue Feb 03 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.4-3mdv2009.1
+ Revision: 337173
- keep bash completion in its own package

* Sat Dec 20 2008 Oden Eriksson <oeriksson@mandriva.com> 1.4-2mdv2009.1
+ Revision: 316479
- rebuild

* Sun Jan 27 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.4-1mdv2008.1
+ Revision: 158614
- update to new version 1.4

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Nov 17 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.2-4mdv2008.1
+ Revision: 109462
- use correct configure macro
- drop polish translations from spec
- spec cleanupp
- bash completion


* Thu Jan 25 2007 Olivier Blin <oblin@mandriva.com> 1.2-3mdv2007.0
+ Revision: 113465

  + Michael Scherer <misc@mandriva.org>
    - use the new url of wiki

* Sun Jan 21 2007 Olivier Blin <oblin@mandriva.com> 1.2-2mdv2007.1
+ Revision: 111317
- really show update notes

* Sat Jan 06 2007 Olivier Blin <oblin@mandriva.com> 1.2-1mdv2007.1
+ Revision: 104667
- update URL
- 1.2
- add update notes
- remove the bridge service (part of #23814)
- Import bridge-utils

* Sat Apr 29 2006 Jerome Soyer <saispo@mandriva.org> 1.1-1mdk
- New release 1.1

* Thu Dec 15 2005 Pascal Terjan <pterjan@mandriva.org> 1.0.6-2mdk
- rebuild for new libsysfs

* Fri Jun 10 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.0.6-1mdk
- 1.0.6
- drop P1
- fix requires

* Wed Dec 22 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.0.4-1mdk
- 1.0.4
- drop bidi (removed upstream)
- fix summary-ended-with-dot
- cosmetics

* Wed Jun 02 2004 Florin <florin@mandrakesoft.com> 0.9.7-2mdk
- add initscript and sysconf file

* Wed May 26 2004 Florin <florin@mandrakesoft.com> 0.9.7-1mdk
- 0.9.7
- add the bidi file from the misc directory

